<script>
import { useInventoryStore } from '../stores/inventory'

const inventoryStore = useInventoryStore()
</script>
<template>
  <div>Inventory</div>
  <v-data-table
    class="h-100"
    fixed-header
    :headers="inventoryStore.headers"
    :items="inventoryStore.items"
  >
    <!-- :search="search" -->
    <template #top>
      <v-card class="pa-5">
        <v-row>
          <v-col>
            <h2>Stock Management</h2>
          </v-col>
          <v-col cols="1">
            <router-link to="/management">
              <v-btn> Edit </v-btn>
            </router-link>
          </v-col>
          <v-col cols="1">
            <v-btn @click="inventoryStore.openDialog()">New</v-btn>
          </v-col>
        </v-row>
      </v-card>
    </template>

    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.balance }}</td>
        <td>
          <v-icon size="small" class="me-2" @click="stockStore.editItem(item)"> mdi-pencil </v-icon>
          <v-icon size="small" @click="stockStore.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
    </template>
  </v-data-table>
</template>
